    The XSPEC heilin model: Voigt absorption profiles for He I series.

xsheilin
The xsheilin model is a multiplicative model component.

The model is described at [1] .

The redshift parameter has been renamed z to match the XSPEC definition. The name redshift can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xsheilin", "mdl")
>>> print(mdl)

Create a component of the xsheilin model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.nHeI thawed 1e-05 0 1e+06 10^22 atoms / cm^2 mdl.b thawed 10 1 1e+06 km/s mdl.z thawed 0 -0.001 100000

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
nHeI
The He I column density, in 10^22 atoms/cm^2.
b
The b value, in km/s.
z
The redshift of the absorber.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelHeilin.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023